(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@yukawa/chain-base-angular-store'), require('rxjs'), require('@angular/core'), require('@angular/cdk/table'), require('@angular/material/sort'), require('@angular/material/table'), require('@angular/material/slide-toggle'), require('@angular/material/icon'), require('@angular/material/button'), require('@angular/material/core'), require('@angular/flex-layout'), require('@angular/common'), require('@angular/material/tooltip'), require('@angular/material')) :
    typeof define === 'function' && define.amd ? define('@yukawa/chain-docs-angular-comp', ['exports', '@yukawa/chain-base-angular-store', 'rxjs', '@angular/core', '@angular/cdk/table', '@angular/material/sort', '@angular/material/table', '@angular/material/slide-toggle', '@angular/material/icon', '@angular/material/button', '@angular/material/core', '@angular/flex-layout', '@angular/common', '@angular/material/tooltip', '@angular/material'], factory) :
    (global = global || self, factory((global.yukawa = global.yukawa || {}, global.yukawa['chain-docs-angular-comp'] = {}), global.chainBaseAngularStore, global.rxjs, global.ng.core, global.ng.cdk.table, global.ng.material.sort, global.ng.material.table, global.ng.material['slide-toggle'], global.ng.material.icon, global.ng.material.button, global.ng.material.core, global.ng['flex-layout'], global.ng.common, global.ng.material.tooltip, global.ng.material));
}(this, (function (exports, chainBaseAngularStore, rxjs, core, table, sort, table$1, slideToggle, icon, button, core$1, flexLayout, common, tooltip, material) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __exportStar(m, exports) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
        if (m) return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: file/file-table/file-info-query.store.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FileInfoQueryStore = /** @class */ (function (_super) {
        __extends(FileInfoQueryStore, _super);
        function FileInfoQueryStore(service, paginator, sort, tableFilter) {
            var _this = _super.call(this, paginator, sort, tableFilter) || this;
            _this.service = service;
            _this.paginator = paginator;
            _this.sort = sort;
            _this.tableFilter = tableFilter;
            _this.filterSubject = new rxjs.BehaviorSubject(tableFilter);
            return _this;
        }
        /**
         * @protected
         * @return {?}
         */
        FileInfoQueryStore.prototype.queryTable = /**
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var filter = this.findFilter();
            this.applyFilter(filter);
            if (filter.keyword)
                filter.keyword += '*';
            return this.service.queryFiles(filter);
        };
        return FileInfoQueryStore;
    }(chainBaseAngularStore.QueryTableSource));
    if (false) {
        /**
         * @type {?}
         * @protected
         */
        FileInfoQueryStore.prototype.service;
        /**
         * @type {?}
         * @protected
         */
        FileInfoQueryStore.prototype.paginator;
        /**
         * @type {?}
         * @protected
         */
        FileInfoQueryStore.prototype.sort;
        /**
         * @type {?}
         * @protected
         */
        FileInfoQueryStore.prototype.tableFilter;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: file/file-table/file-table.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    //import {TableFilter} from "../../../../../../../../../libs/chain-base/front/angular/domain/target/angular";
    /** @type {?} */
    var TAG = 'FileTableComponent';
    var FileTableComponent = /** @class */ (function () {
        function FileTableComponent() {
            this.displayedColumns = ['icon', 'fileName', 'size', 'modified', 'detail-button'];
            //@Output()
            //rowSelected = new EventEmitter<FileInfo|any>();
            this.action = new core.EventEmitter();
        }
        /**
         * @return {?}
         */
        FileTableComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        /**
         * On destroy
         */
        /**
         * On destroy
         * @return {?}
         */
        FileTableComponent.prototype.ngOnDestroy = /**
         * On destroy
         * @return {?}
         */
        function () {
            // Unsubscribe from all subscriptions
            // this.rowSelected.next();
            this.action.complete();
        };
        /**
         * @param {?} event
         * @param {?} cmd
         * @param {?} selected
         * @return {?}
         */
        FileTableComponent.prototype.onAction = /**
         * @param {?} event
         * @param {?} cmd
         * @param {?} selected
         * @return {?}
         */
        function (event, cmd, selected) {
            if (core.isDevMode()) {
                console.debug(TAG, "onAction", cmd, selected);
            }
            event.stopPropagation();
            this.fireAction((/** @type {?} */ ({ name: cmd, payload: selected })));
        };
        /**
         * @protected
         * @param {?} action
         * @return {?}
         */
        FileTableComponent.prototype.fireAction = /**
         * @protected
         * @param {?} action
         * @return {?}
         */
        function (action) {
            this.action.emit(action);
        };
        FileTableComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'chain-docs-file-table',
                        template: "<mat-table #table [dataSource]=\"dataSource\" matSort matSortActive=\"fileName\"\n matSortDirection=\"asc\">    <!--[@animateStagger]=\"{value:'50'}\"-->\n\n    <!-- Type Column -->\n    <ng-container matColumnDef=\"icon\">\n        <mat-header-cell *matHeaderCellDef fxFlex=\"64px\"></mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" fxFlex=\"64px\">\n            <mat-icon class=\"type-icon\" [ngClass]=\"row.type\"></mat-icon>\n        </mat-cell>\n    </ng-container>\n\n    <!-- Name Column -->\n    <ng-container matColumnDef=\"fileName\">\n        <mat-header-cell mat-sort-header *matHeaderCellDef>Name</mat-header-cell>\n        <mat-cell *matCellDef=\"let row\"> {{row.fileName}}</mat-cell>\n    </ng-container>\n\n    <!-- Type Column -->\n    <!-- <ng-container matColumnDef=\"type\">\n        <mat-header-cell mat-sort-header *matHeaderCellDef fxHide fxShow.gt-md>Type</mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" fxHide fxShow.gt-md> {{row.type}}</mat-cell>\n    </ng-container> -->\n\n    <!-- Owner Column -->\n    <!-- <ng-container matColumnDef=\"owner\">\n        <mat-header-cell mat-sort-header *matHeaderCellDef fxHide.xs>Owner</mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" fxHide.xs> {{row.created?.user}}</mat-cell>\n    </ng-container> -->\n\n    <!-- Size Column -->\n    <ng-container matColumnDef=\"size\">\n        <mat-header-cell mat-sort-header *matHeaderCellDef fxHide.xs>Size</mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" fxHide.xs>{{row?.fileSize  == undefined ? '-': row.fileSize }}</mat-cell>\n    </ng-container>\n    <!-- Created Column mat-sort-header -->\n    <!-- <ng-container matColumnDef=\"created\">\n        <mat-header-cell *matHeaderCellDef fxHide fxShow.gt-md>Created</mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" fxHide fxShow.gt-md>{{row.created?.date | date}}</mat-cell>\n    </ng-container> -->\n\n    <!-- Modified Column mat-sort-header -->\n    <ng-container matColumnDef=\"modified\">\n        <mat-header-cell *matHeaderCellDef fxHide fxShow.gt-md>Modified</mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" fxHide fxShow.gt-md>{{row.change?.date | date}}</mat-cell>\n    </ng-container>\n\n    <!-- Detail Button Column -->\n    <ng-container matColumnDef=\"detail-button\">\n        <mat-header-cell *matHeaderCellDef fxFlex=\"48px\" fxHide.gt-md></mat-header-cell>\n        <mat-cell *matCellDef=\"let row\" fxFlex=\"48px\" fxHide.gt-md>\n            <button mat-icon-button class=\"sidebar-toggle\" fxHide.gt-md\n                    (click)=\"onAction( $event, 'info', row);\">\n                <mat-icon class=\"secondary-text\">info</mat-icon>\n            </button>\n        </mat-cell>\n    </ng-container>\n\n    <mat-header-row *matHeaderRowDef=\"displayedColumns\"></mat-header-row>\n    <mat-row *matRowDef=\"let row; columns: displayedColumns;\"\n             (click)=\"onAction($event,'select', row)\"\n             [ngClass]=\"{'selected' : row == selected}\" matRipple>\n        <!--[@animate]=\"{value:'*',params:{y:'100%'}}\"-->\n    </mat-row>\n    \n</mat-table>",
                        encapsulation: core.ViewEncapsulation.None,
                        styles: ["file-list{width:100%}file-list .mat-table{background:0 0;box-shadow:none}file-list .mat-table .mat-row{position:relative;cursor:pointer;min-height:64px}"]
                    }] }
        ];
        /** @nocollapse */
        FileTableComponent.ctorParameters = function () { return []; };
        FileTableComponent.propDecorators = {
            displayedColumns: [{ type: core.Input }],
            dataSource: [{ type: core.Input }],
            selected: [{ type: core.Input }],
            action: [{ type: core.Output }],
            sort: [{ type: core.ViewChild, args: [sort.MatSort, { static: true },] }]
        };
        return FileTableComponent;
    }());
    if (false) {
        /** @type {?} */
        FileTableComponent.prototype.displayedColumns;
        /** @type {?} */
        FileTableComponent.prototype.dataSource;
        /** @type {?} */
        FileTableComponent.prototype.selected;
        /** @type {?} */
        FileTableComponent.prototype.action;
        /** @type {?} */
        FileTableComponent.prototype.sort;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: file/file-info/file-info.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var TAG$1 = 'FileInfoComponent';
    var FileInfoComponent = /** @class */ (function () {
        function FileInfoComponent() {
            this.directLink = "";
            this.groups = [];
            this.action = new core.EventEmitter();
        }
        /**
         * @return {?}
         */
        FileInfoComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        /**
         * @param {?} group
         * @param {?} eve
         * @return {?}
         */
        FileInfoComponent.prototype.toggleWriteGroups = /**
         * @param {?} group
         * @param {?} eve
         * @return {?}
         */
        function (group, eve) {
            if (eve.checked) {
                this.value.accessRights.writeGroups.push(group);
            }
            else {
                /** @type {?} */
                var groups = this.value.accessRights.writeGroups;
                /** @type {?} */
                var index = groups.indexOf(group);
                groups.splice(index, 1);
            }
        };
        /**
         * @param {?} group
         * @param {?} eve
         * @return {?}
         */
        FileInfoComponent.prototype.toggleReadGroups = /**
         * @param {?} group
         * @param {?} eve
         * @return {?}
         */
        function (group, eve) {
            if (eve.checked) {
                this.value.accessRights.readGroups.push(group);
            }
            else {
                /** @type {?} */
                var groups = this.value.accessRights.readGroups;
                /** @type {?} */
                var index = groups.indexOf(group);
                groups.splice(index, 1);
            }
        };
        /**
         * @param {?} cmd
         * @param {?=} selected
         * @return {?}
         */
        FileInfoComponent.prototype.onAction = /**
         * @param {?} cmd
         * @param {?=} selected
         * @return {?}
         */
        function (cmd, selected) {
            if (selected === void 0) { selected = this.value; }
            if (core.isDevMode()) {
                console.debug(TAG$1, "onAction", cmd, selected);
            }
            this.fireAction((/** @type {?} */ ({ name: cmd, payload: selected })));
        };
        /**
         * @protected
         * @param {?} action
         * @return {?}
         */
        FileInfoComponent.prototype.fireAction = /**
         * @protected
         * @param {?} action
         * @return {?}
         */
        function (action) {
            this.action.emit(action);
        };
        FileInfoComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'chain-docs-file-info',
                        template: "<div class=\"content p-24\" fusePerfectScrollbar>\n\n    <div class=\"file-details\">\n\n        <!-- <div class=\"preview file-icon\" fxLayout=\"row\" fxLayoutAlign=\"center center\">\n            <img src=\"assets/dms-panel-info.png\" alt=\"Panel Image\">\n        </div> -->\n\n\n        <div class=\"title\">{{value?.fileName}}</div>\n\n        <ul class=\"info-list\">\n            <li>\n                <span>Privat</span>\n                <div class=\"offline-switch\">\n\n                    <!-- <mat-slide-toggle [(ngModel)]=\"value.offline\" labelPosition=\"before\"></mat-slide-toggle> -->\n                </div>\n            </li>\n            <li>\n                <span>Gr\u00F6\u00DFe</span>\n                <i>{{value?.fileSize  == undefined ? '-': value.fileSize }}</i>\n            </li>\n            <li>\n                <span>Erstellt</span>\n                <i>{{value?.created?.date | date}}</i>\n            </li>\n            <li>\n                <span>Ge\u00E4ndert</span>\n                <i>{{value?.change?.date | date}}</i>\n            </li>\n        </ul>\n\n        <ul class=\"info-list\">\n            <li>\n                <span>Owner</span>\n                <i><img src=\"https://via.placeholder.com/40x40\" alt=\"owner Image\">{{value?.created?.user}}</i>\n            </li>\n            <li *ngIf=\"value?.writeAccess\">\n                <span>Access right</span>\n                <i class=\"pointer\"><span></span>\n                    <mat-icon [matMenuTriggerFor]=\"accessRightsMenu\" #accessRightsMenu=\"matMenuTrigger\" class=\"s-16\">\n                        accessibility</mat-icon>\n                </i>\n\n                <mat-menu #accessRightsMenu=\"matMenu\" [overlapTrigger]=\"false\">\n                    <div class=\"header\" fxLayout=\"row\" fxLayoutAlign=\"space-between\">\n                        <div (click)=\"$event.stopPropagation()\" class=\"px-16 py-8\" fxFlex fxLayout=\"column\"\n                            fxLayoutAlign=\"start end\">\n\n                            <div fxFlex=\"0 1 auto\" fxLayout=\"row\" fxLayoutAlign=\"space-between center\">\n                                <button (click)=\"onAction('edit')\" class=\"\" mat-button>\n                                    <mat-icon class=\"s-16\">save</mat-icon>\n                                    Save\n                                </button>\n\n                            </div>\n\n                        </div>\n                    </div>\n                    <div fxFlex fxLayout=\"column\" class=\"access-rights-menu\" (click)=\"$event.stopPropagation()\">\n\n                        <table>\n                            <thead>\n                                <tr>\n                                    <th>Group</th>\n                                    <th>Read</th>\n                                    <th>Write</th>\n\n                                </tr>\n                            </thead>\n                            <tbody>\n                                <ng-container *ngFor=\"let group of groups\">\n                                    <tr *ngIf=\"group.name !='ADMINS' && group.name !='USER_MANAGERS'\">\n                                        <td>\n                                            <p class=\"group-name\">{{ group.name }}</p>\n                                        </td>\n                                        <td>\n                                            <mat-checkbox #cb class=\"member\"\n                                                (change)=\"toggleReadGroups(group.name,$event)\"\n                                                [checked]=\"value.accessRights.readGroups?.includes(group.name)\">\n                                            </mat-checkbox>\n                                        </td>\n                                        <td>\n                                            <mat-checkbox #cb class=\"member\"\n                                                (change)=\"toggleWriteGroups(group.name,$event)\"\n                                                [checked]=\"value.accessRights.writeGroups?.includes(group.name)\">\n                                            </mat-checkbox>\n\n                                        </td>\n                                    </tr>\n                                </ng-container>\n                            </tbody>\n                        </table>\n                    </div>\n                </mat-menu>\n            </li>\n        </ul>\n        <span (click)=\"onAction('download')\" *ngIf=\"value && value?.type=='FILE'\" class=\"download-btn pointer\">\n            <mat-icon class=\"s-16\">cloud_download</mat-icon> Download\n        </span>\n        <br><br>\n        <span  *ngIf=\"directLink !=''\" class=\"download-btn pointer\">\n            <mat-icon class=\"s-16\">link</mat-icon>{{directLink}}\n        </span>\n        <br><br>\n        <span *ngIf=\"value?.canDelete && value?.writeAccess\" (click)=\"onAction('delete')\" class=\"download-btn pointer\">\n            <mat-icon class=\"s-16\">delete</mat-icon> Delete\n        </span>\n        <span *ngIf=\"!value?.canDelete && value?.writeAccess\"  class=\"download-btn not-allowed\">\n            <mat-icon class=\"s-16\">delete</mat-icon> Delete\n        </span>\n    </div>\n\n</div>",
                        styles: [":host{display:-webkit-box;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;flex-direction:column;-webkit-box-flex:1;flex:1 1 auto;height:100%}:host>.header{-webkit-box-flex:0;flex:0 1 auto;height:160px;min-height:160px;max-height:160px}:host>.content{-webkit-box-flex:1;flex:1}:host>.content .file-details .offline-switch{padding-bottom:16px;font-weight:600}:host>.content .file-details .title{padding:16px 0;color:#4aba8a;font-size:22px;text-align:right}:host>.content .file-details table{width:100%;text-align:left}:host>.content .file-details table tr td,:host>.content .file-details table tr th{padding:2px}:host>.content .file-details table tr th{color:#4aba8a}:host>.content .file-details table tr.type{text-transform:capitalize}:host>.content .file-details table tr.owner{text-transform:capitalize}.mat-slide-toggle-label{flex-wrap:wrap}.mat-slide-toggle-content{color:#4aba8a;-webkit-box-flex:0;flex:0 0 100%;max-width:100%;margin-bottom:7px;font-weight:700}ul.info-list{display:-webkit-box;display:flex;padding-left:0;list-style:none;flex-wrap:wrap;width:100%}ul.info-list>li{-webkit-box-flex:0;flex:0 0 auto;font-size:14px;padding:2px 4px;text-align:right;-webkit-box-flex:1;flex-grow:1}ul.info-list>li>span{font-weight:600;color:#4aba8a;display:block}ul.info-list>li i{height:initial!important;width:initial!important;line-height:initial!important;display:block;font-size:inherit!important;font-family:Muli!important;margin-top:3px;color:#000!important}ul.info-list>li img{border-radius:50%;width:30px;margin-right:5px;display:inline-block;vertical-align:middle}ul.info-list>li .mat-icon{margin-left:10px}ul.info-list+ul.info-list>li,ul.info-list>li:first-child{text-align:initial}span.download-btn{font-size:14px;color:#000}span.download-btn .mat-icon,ul.info-list>li .mat-icon{color:#4aba8a;vertical-align:middle;font-size:28px!important;width:auto!important}ul.info-list>li svg{fill:#4aba8a}.pointer{cursor:pointer!important}.access-rights-menu{max-height:325px}.access-rights-menu .mat-checkbox-label,.access-rights-menu .mat-checkbox-layout{display:-webkit-box;display:flex;-webkit-box-flex:1;flex:1}.access-rights-menu table thead tr th{color:#4aba8a;padding:5px;text-transform:capitalize}.access-rights-menu table tbody tr td p.group-name{margin:0;width:170px;white-space:nowrap;text-overflow:ellipsis;overflow:hidden}.access-rights-menu table tbody tr:nth-child(2n){background-color:#f7f7f7}.access-rights-menu table tbody tr td{padding:5px;border:0!important}.access-rights-menu table{border-collapse:collapse}.access-rights-menu table tbody tr td:first-child{width:170px!important}.access-rights-menu table tbody tr td:not(:first-child){width:20px}.not-allowed{cursor:not-allowed!important;opacity:.4!important}"]
                    }] }
        ];
        /** @nocollapse */
        FileInfoComponent.ctorParameters = function () { return []; };
        FileInfoComponent.propDecorators = {
            value: [{ type: core.Input }],
            directLink: [{ type: core.Input }],
            isPrivate: [{ type: core.Input }],
            groups: [{ type: core.Input }],
            action: [{ type: core.Output }]
        };
        return FileInfoComponent;
    }());
    if (false) {
        /** @type {?} */
        FileInfoComponent.prototype.value;
        /** @type {?} */
        FileInfoComponent.prototype.directLink;
        /** @type {?} */
        FileInfoComponent.prototype.isPrivate;
        /** @type {?} */
        FileInfoComponent.prototype.groups;
        /** @type {?} */
        FileInfoComponent.prototype.action;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: file-comp.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    //import {MatSortModule} from "@angular/material/sort";
    var FileCompModule = /** @class */ (function () {
        function FileCompModule() {
        }
        FileCompModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            FileTableComponent,
                            FileInfoComponent
                        ],
                        imports: [
                            // BrowserModule,
                            // BrowserAnimationsModule,
                            common.CommonModule,
                            //BrowserAnimationsModule,
                            button.MatButtonModule,
                            icon.MatIconModule,
                            core$1.MatRippleModule,
                            slideToggle.MatSlideToggleModule,
                            table$1.MatTableModule,
                            sort.MatSortModule,
                            tooltip.MatTooltipModule,
                            flexLayout.FlexLayoutModule,
                            material.MatMenuModule,
                            material.MatCheckboxModule
                        ],
                        exports: [
                            FileTableComponent,
                            FileInfoComponent
                        ],
                        schemas: [core.CUSTOM_ELEMENTS_SCHEMA]
                    },] }
        ];
        return FileCompModule;
    }());

    exports.FileCompModule = FileCompModule;
    exports.FileInfoComponent = FileInfoComponent;
    exports.FileInfoQueryStore = FileInfoQueryStore;
    exports.FileTableComponent = FileTableComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=yukawa-chain-docs-angular-comp.umd.js.map
